Description: Add missing includes
Bug-Debian: #226525, #1065995
Author: Will Lowe <lowe@debian.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2024-03-14

--- a/smbval/smblib.c
+++ b/smbval/smblib.c
@@ -25,6 +25,8 @@
 
 #include "config.h"
 #include <malloc.h>
+#include <string.h>
+#include <ctype.h>
 
 int SMBlib_errno;
 int SMBlib_SMB_Error;
--- a/smbval/session.c
+++ b/smbval/session.c
@@ -25,6 +25,7 @@
 
 #include <malloc.h>
 #include <string.h>
+#include <stdlib.h>
 
 int RFCNB_errno = 0;
 int RFCNB_saved_errno = 0;
--- a/smbval/smblib-util.c
+++ b/smbval/smblib-util.c
@@ -25,6 +25,7 @@
 
 #include "smblib-priv.h"
 #include <malloc.h>
+#include <string.h>
 
 #include "rfcnb.h"
 
